
/**
 * Class para testar a classe ClusteredSet.
 * 
 * @author Joo Carlos Pascoal Faria 
 * @version 6 de Fevereiro de 2003
 */
public class TestClusteredSet
{
    /**
     * Gera um ClusteredSet de elementos do tipo Point com 
     * coordenadas geradas aleatoriamente.
     * 
     * @param maxDist distancia mxima entre pontos do mesmo cluster
     * @param numPoints nmero de pontos a gerar
     * @param maxXY valor mximo das coordenadas x e y (o mnimo  0)
     * 
     * @return objecto criado do tipo ClusteredSet
     */
    public static ClusteredSet generateCluster(double maxDist, int numPoints, int maxXY)
    {   
        ClusteredSet cs = new ClusteredSet(maxDist);
        
        for (int i=0; i<numPoints; i++)
            cs.addElement(new Point((int)(Math.random()*maxXY), (int)(Math.random()*maxXY)));
            
        return cs;    
    }
    
    /**
     * Programa principal. Cria 100 pontos de coordenadas aleatrias entre 0 e 100
     * e agrupa em clusters com distancia mxima de 10, e imprime
     * contedo dos clusters no ecr.
     */
    public static void main(String args[])
    {   
        System.out.println(generateCluster(10.0, 100, 100));   
    }    
}
